Bug 107825 - Enable the border around textboxes by default
Summary: Enable the border around textboxes by default
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox Writer-UX
  Show dependency treegraph
 
Reported: 2017-05-13 17:06 UTC by Telesto
Modified: 2019-06-13 14:28 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-13 17:06:51 UTC
Description:
It's probably by design, but the user experience with textboxes is quite horrible (in my humble opinion). 

The issues I encounter are related to the fact that:
* Textboxes don't have any (visualized) border when deselected
* Empty text objects get removed automatically (because otherwise you might fill you document unintentionally with unused, empty and mostly invisible objects without noticing)

The textbox will disappear when trying to:
- dragging empty textbox (see also: bug 98856)
- pasting text into an empty textbox using right click paste
- make layout changes to the textbox before adding content
- when cutting all the content out of a textbox and paste it into the regular text  (with the intention to use the textbox for something else). 

Text selection
- Text can be behind a textbox without knowing (until you click on it)

The rule of deleting empty text objects isn't working when: 
- A textbox is containing some content (space; enter)
- when adding and empty textbox and press CTRL+Z afterward

Actual Results:  
Textbox is invisible and will deleted if deselected and empty

Expected Results:
- Textboxes should be deleted automatically
- Textboxes have some sort of border the indicate size and position when deselected


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha1+
Build ID: 970b431f1a7b6b96c4c9536657ce4fe9d8f5b585
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-11_23:07:53
Locale: en-US (nl_NL); Calc: single


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Yousuf Philips (jay) (retired) 2017-05-18 12:56:54 UTC
(In reply to Telesto from comment #0)
> * Textboxes don't have any (visualized) border when deselected

Yes this should be fixed.

> * Empty text objects get removed automatically (because otherwise you might
> fill you document unintentionally with unused, empty and mostly invisible
> objects without noticing)

This is good behaviour.

> - dragging empty textbox (see also: bug 98856)

This is good behaviour.

> - pasting text into an empty textbox using right click paste

After the creation of the textbox, pressing ctrl+v or the context menu key works, ideally this should also work.

> - make layout changes to the textbox before adding content

Layout changes after inserting text into the textbox is correct.

> - when cutting all the content out of a textbox and paste it into the
> regular text  (with the intention to use the textbox for something else). 

Yes the textbox should still be present after doing this and shouldnt automatically be deleted because its empty.

As there are three things that can be fixed, we should separate them into separate bugs.
Comment 2 Thomas Lendo 2019-04-08 20:38:23 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #1)
> (In reply to Telesto from comment #0)
> > * Textboxes don't have any (visualized) border when deselected
> Yes this should be fixed.
+1
> > * Empty text objects get removed automatically (because otherwise you might
> > fill you document unintentionally with unused, empty and mostly invisible
> > objects without noticing)
> This is good behaviour.
I also think the current behavior is good.

> As there are three things that can be fixed, we should separate them into
> separate bugs.
Would make things easier, yeah.
Comment 3 Heiko Tietze 2019-04-11 12:26:21 UTC
So let's enable the border by default. Could be an easyhack.
Comment 4 V Stuart Foote 2019-04-11 14:08:05 UTC
May have some issues in implementing this. And not sure it is an EasyHack.

Believe a Draw Text Box object has no border attribute. And I don't think the UX would be improved if we enable by default a Text Box's "Line" element of any configuration. As that would immediately make a Tex Box _not_ empty.

Seems what is "needed" is a proper _non-printing_layout border for the object.  Similar to the Page margins, Section bounds, Frame content bounds.

@Regina, would we have to extend ODF 1.2?